#
# $Id: vxcds_dgconv_sys.ksh,v 1.2.4.3 2004/12/09 06:25:03 hhorn Exp $
#ident "$Source: /project/unixvm-cvs/src/sol/cmd/vxvm/voladm/vxcds_dgconv_sys.ksh,v $ $Revision: 1.2.4.3 $"
#
# $Copyright: Copyright (c) 2009 Symantec Corporation.
# All rights reserved.
#
# THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
# SYMANTEC CORPORATION.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
# WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF SYMANTEC CORPORATION.
#
# The Licensed Software and Documentation are deemed to be commercial
# computer software as defined in FAR 12.212 and subject to restricted
# rights as defined in FAR Section 52.227-19 "Commercial Computer
# Software - Restricted Rights" and DFARS 227.7202, "Rights in
# Commercial Computer Software or Commercial Computer Software
# Documentation", as applicable, and any successor regulations. Any use,
# modification, reproduction release, performance, display or disclosure
# of the Licensed Software and Documentation by the U.S. Government
# shall be solely in accordance with the terms of this Agreement.  $
#

: ${VOLROOT_DIR:-$__VXVM_ROOT_DIR}
: ${VOL_CONFIG_DIR:=$VOLROOT_DIR/etc/vx}

RDIR=$VOL_CONFIG_DIR/reconfig.d
VOLCMD_NOT_SUPPORTED="Please execute this operation in global zone"

cmd_supported()
{
	if [ -x /sbin/zonename ]
	then
		if [ "${_INIT_ZONENAME:=`/sbin/zonename`}" != "global" ]
		then
			echo "$1 $VOLCMD_NOT_SUPPORTED"
			exit 1
		fi
	fi
}

cdsconv_is_efi_disk()
{
	if dogi_is_efi_wd $1
	then
		true
	else
		false
	fi
}
